All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface MdConnectionListener

All Superinterfaces:
  java.util.EventListener

    public interface MdConnectionListener

extends java.util.EventListener

Interface used for notifying clients when a connection to the metadata server has been lost. The intent of this interface is to signal clients when a request made to the metadata server fails due to a lost or dropped connection. It is then up to the client to decide whether a reconnection to the server can and should be made.

Note: It is the client's responsibility to perform the actual reconnection to the metadata server. The factory will not reconnect for you, rather it will simply notify the caller that an error condition due to a possible lost server connection has been encountered.

Since:
  9.4
See Also:
  `MdFactory.setMdConnectionListener(MdConnectionListener)`

Method Summary
`abstract boolean` | `notify(MdConnectionEvent event)` Sends a notification that a request to the metadata server has failed because of a lost or dropped connection.

Method Detail

### notify

    boolean notify(MdConnectionEvent event)
                   throws java.rmi.RemoteException

  Sends a notification that a request to the metadata server has failed because of a lost or dropped connection. When a client receives this event, they may choose whether or not to attempt a reconnection to the metadata server. If a new connection is established, a value of `true` should be returned. This will force the original request to be resubmitted.

  Parameters:
    `event` - the reconnection event
  Returns:
    if true, the affected method will be retried. Otherwise, the method will fail and the original exception will be thrown to the consumer.
  Throws:
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.